// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true



onEvent("item.tags", event => {
    let filteredIngredients = Ingredient.of(["%create.base"]);
    filteredIngredients.stacks.toArray().forEach(stack => {
        event.add("kubejs:create_basics", stack.id);
    });
});

onEvent("item.tags", event => {
    let Ingredients = Ingredient.of(["quark:deepslate", "quark:root", "%building_blocks", "%decorations"]); 
    let filteredIngredients = Ingredient.of(["@quark", "@upgrade_aquatic", "@savageandravage", "@buzzier_bees"]).filter(Ingredients); 

    filteredIngredients.stacks.toArray().forEach(stack => {
        event.add("kubejs:starter", stack.id);
    });
});

onEvent("item.tags", event => {
    let Ingredients = Ingredient.of(["#kubejs:starter"]).not(); // create a filter with items and invert it
    let filteredIngredients = Ingredient.of(["@quark", "@upgrade_aquatic", "@savageandravage", "@buzzier_bees"]).filter(Ingredients); // get all #forge:crops and apply our filter

    filteredIngredients.stacks.toArray().forEach(stack => {
        event.add("kubejs:starter_ban", stack.id);
    });
});